libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions
XML Assembler Internals
Internal details of XML/WBXML API

XML assembler details only known inside the internal XML/WBXML API. More...

Collaboration diagram for XML Assembler Internals:

## Data Structures

struct | SmlXmlAssemblerCommand
struct | SmlXmlAssemblerStatus
struct | SmlXmlAssembler

## Macros

#define | XML_NODE_START 1
#define | XML_NODE_TEXT 3
#define | XML_NODE_CLOSE 15
#define | XML_NODE_CDATA 4

## Typedefs

typedef struct SmlXmlAssemblerCommand | SmlXmlAssemblerCommand
typedef struct SmlXmlAssemblerStatus | SmlXmlAssemblerStatus

## Enumerations

enum | SmlXmlAssemblerNodeType { SML_ASSEMBLER_NODE_OPEN, SML_ASSEMBLER_NODE_CLOSE }

## Functions

SmlBool | smlAssemblerStartNode (SmlAssembler *assm, const char *name, SmlError **error)
SmlBool | smlAssemblerStartNodeNS (SmlAssembler *assm, const char *prefix, const char *name, const char *uri, SmlError **error)
SmlBool | smlAssemblerEndNode (SmlAssembler *assm, SmlError **error)
SmlBool | smlAssemblerAddString (SmlAssembler *assm, const char *name, const char *value, SmlError **error)
SmlBool | smlAssemblerAddStringNS (SmlAssembler *assm, const char *prefix, const char *name, const char *uri, const char *value, SmlError **error)
SmlBool | smlAssemblerAddID (SmlAssembler *assm, const char *name, unsigned int id, SmlError **error)
SmlBool | smlAssemblerAddData (SmlAssembler *assm, const char *name, const char *value, SmlError **error)

## Detailed Description

XML assembler details only known inside the internal XML/WBXML API.